summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJustin M. Forbes <jforbes@fedoraproject.org>2017-07-11 13:27:04 -0500
committerJustin M. Forbes <jforbes@fedoraproject.org>2017-07-11 13:27:04 -0500
commit272a38dcb88cb85ea5d34fdd5134f38da10cc7ad (patch)
tree3bebc2031ecea52f37209e3b44d0139ac20ac33c /scripts
parentb0f3de0ab81f4a9d4fe1c0c0ac776d1c747a96f2 (diff)
downloadkernel-272a38dcb88cb85ea5d34fdd5134f38da10cc7ad.tar.gz
kernel-272a38dcb88cb85ea5d34fdd5134f38da10cc7ad.tar.xz
kernel-272a38dcb88cb85ea5d34fdd5134f38da10cc7ad.zip
Revert debuginfo changes for stable rebases
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/generate-perf-man.sh6
-rw-r--r--scripts/kernel-version.sh4
-rwxr-xr-xscripts/rawhide-rc.sh11
-rwxr-xr-xscripts/rawhide-snapshot.sh7
4 files changed, 24 insertions, 4 deletions
diff --git a/scripts/generate-perf-man.sh b/scripts/generate-perf-man.sh
index 27691fafd..f5332ad86 100755
--- a/scripts/generate-perf-man.sh
+++ b/scripts/generate-perf-man.sh
@@ -47,8 +47,12 @@ if [ ! -z "$@" ]; then
esac
done
fi
-cd tools/perf/Documentation/
+cd tools/kvm/kvm_stat/
+make man
+mv kvm_stat.1 ../../perf/Documentation
+cd ../../perf/Documentation/
make
tar -czvf $BASEDIR/perf-man-${KERNEL_VERSION}.${KERNEL_PATCHLEVEL}.tar.gz *.1
make clean
+rm kvm_stat.1
popd
diff --git a/scripts/kernel-version.sh b/scripts/kernel-version.sh
index 36e00194b..e2ec93a5a 100644
--- a/scripts/kernel-version.sh
+++ b/scripts/kernel-version.sh
@@ -1,8 +1,8 @@
-VER=$(grep patch sources | head -n1 | awk '{ print $2 }' | sed s/patch-// | sed s/-git.*// | sed s/.xz//)
+VER=$(grep patch sources | head -n1 | awk '{ print $2 }' | sed s/patch-// | sed s/-git.*// | sed s/.xz// | tr -d "()")
if [ -z "$VER" ] ;
then
- VER=$(grep linux sources | head -1 | awk '{ print $2 }' | sed s/linux-// | sed s/.tar.xz//)
+ VER=$(grep linux sources | head -1 | awk '{ print $2 }' | sed s/linux-// | sed s/.tar.xz// | tr -d "()")
fi
diff --git a/scripts/rawhide-rc.sh b/scripts/rawhide-rc.sh
index 51a3b09f2..40f32a8fe 100755
--- a/scripts/rawhide-rc.sh
+++ b/scripts/rawhide-rc.sh
@@ -3,6 +3,13 @@
source scripts/kernel-version.sh
+klist -s
+if [ ! $? -eq 0 ]; then
+ echo "klist couldn't read the credential cache."
+ echo "Do you need to fix your kerberos tokens?"
+ exit 1
+fi
+
make release
# fixup the release because rpmdev-bumpspec *sigh*
scripts/fixup-bumpspec.sh
@@ -12,6 +19,7 @@ fedpkg commit -c
RC=`grep "%global rcrev" kernel.spec| cut -d ' ' -f 3`
RC=$(($RC+1))
BASE=`grep "%define base_sublevel" kernel.spec| cut -d ' ' -f 3`
+OLDBASE=$BASE
# See comment in kernel.spec about the base numbering
BASE=$(($BASE+1))
@@ -21,10 +29,11 @@ mv sources.tmp sources
# Grab the tarball
if [ ! -f patch-4.$BASE-rc$RC.xz ]; then
- wget https://cdn.kernel.org/pub/linux/kernel/v4.x/testing/patch-4.$BASE-rc$RC.xz
+ wget -O patch-4.$BASE-rc$RC https://git.kernel.org/torvalds/p/v4.$BASE-rc$RC/v4.$OLDBASE
if [ ! $? -eq 0 ]; then
exit 1
fi
+ xz -9 patch-4.$BASE-rc$RC
fedpkg upload patch-4.$BASE-rc$RC.xz
fi
diff --git a/scripts/rawhide-snapshot.sh b/scripts/rawhide-snapshot.sh
index b96bd38d9..210216b98 100755
--- a/scripts/rawhide-snapshot.sh
+++ b/scripts/rawhide-snapshot.sh
@@ -11,6 +11,13 @@
source scripts/kernel-version.sh
+klist -s
+if [ ! $? -eq 0 ]; then
+ echo "klist couldn't read the credential cache."
+ echo "Do you need to fix your kerberos tokens?"
+ exit 1
+fi
+
git fetch origin
if [ "$(git rev-parse origin/master)" != "$(git rev-parse HEAD)" ]; then
echo "I just did a git fetch and this branch does not match master"